org.encog.app.generate

## Class EncogCodeGeneration

- java.lang.Object
- - org.encog.app.generate.EncogCodeGeneration

-     public class EncogCodeGeneration
      extends Object

  Perform Encog code generation. Encog is capable of generating code from several different objects. This code generation will be to the specified target language.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncogCodeGeneration(TargetLanguage theTargetLanguage)` Construct the generation object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(EncogAnalyst analyst)` Generate the code from Encog Analyst.
    `void` | `generate(File method, File data)` Generate from a method and data.
    `TargetLanguage` | `getTargetLanguage()`
    `boolean` | `isEmbedData()`
    `static boolean` | `isSupported(MLMethod method)` Is the specified method supported for code generation?
    `String` | `save()` Save the contents to a string.
    `void` | `save(File file)` Save the contents to the specified file.
    `void` | `setEmbedData(boolean embedData)` Set if data should be embeded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncogCodeGeneration

          public EncogCodeGeneration(TargetLanguage theTargetLanguage)

      Construct the generation object.
      Parameters:
        `theTargetLanguage` - The target language.

  - ### Method Detail

    - #### isSupported

          public static boolean isSupported(MLMethod method)

      Is the specified method supported for code generation?
      Parameters:
        `method` - The specified method.
      Returns:
        True, if the specified method is supported.

    - #### generate

          public void generate(EncogAnalyst analyst)

      Generate the code from Encog Analyst.
      Parameters:
        `analyst` - The Encog Analyst object to use for code generation.

    - #### generate

          public void generate(File method,
                      File data)

      Generate from a method and data.
      Parameters:
        `method` - The machine learning method to generate from.
        `data` - The data to use perform generation.

    - #### getTargetLanguage

          public TargetLanguage getTargetLanguage()

      Returns:
        the targetLanguage

    - #### isEmbedData

          public boolean isEmbedData()

      Returns:
        True, if data should be embeded.

    - #### save

          public String save()

      Save the contents to a string.
      Returns:
        The contents.

    - #### save

          public void save(File file)

      Save the contents to the specified file.
      Parameters:
        `file` -

    - #### setEmbedData

          public void setEmbedData(boolean embedData)

      Set if data should be embeded.
      Parameters:
        `embedData` - True, if data should embeded.

Copyright © 2014. All Rights Reserved.